## webvfx 1.0.0

=== src/modules/gtk2/Makefile ===
include ../../../config.mak
include config.mak

CFLAGS := -I../.. $(CFLAGS)

LDFLAGS := -L../../framework -lmlt -lpthread -lm $(LDFLAGS)

TARGET = ../libmltgtk2$(LIBSUF)

OBJS = factory.o

ifdef USE_GTK2
OBJS += consumer_gtk2.o
CFLAGS += $(shell pkg-config $(PKGCONFIG_PREFIX) --cflags gtk+-2.0)
LDFLAGS += $(shell pkg-config $(PKGCONFIG_PREFIX) --libs gtk+-2.0)
endif

ifdef USE_PIXBUF
OBJS += producer_pixbuf.o pixops.o filter_rescale.o
CFLAGS += $(shell pkg-config $(PKGCONFIG_PREFIX) --cflags gdk-pixbuf-2.0)
LDFLAGS += $(shell pkg-config $(PKGCONFIG_PREFIX) --libs gdk-pixbuf-2.0)
endif

ifdef USE_EXIF
CFLAGS += $(EXIFCXXFLAGS) 
LDFLAGS += $(EXIFLIBS)
endif

ifdef MMX_FLAGS
ifndef ARCH_X86_64
ASM_OBJS = have_mmx.o scale_line_22_yuv_mmx.o
endif
endif

ifdef USE_PANGO
OBJS += producer_pango.o
CFLAGS += $(shell pkg-config $(PKGCONFIG_PREFIX) --cflags pangoft2)
CFLAGS += $(shell pkg-config $(PKGCONFIG_PREFIX) --cflags-only-I freetype2 | awk '{for (i=1; i<=NF; i++) $$i=sprintf("%s/freetype", $$i); print}')
LDFLAGS += $(shell pkg-config $(PKGCONFIG_PREFIX) --libs pangoft2)
ifeq ($(targetos),Darwin)
LDFLAGS += -liconv
endif
ifeq ($(targetos),FreeBSD)
LDFLAGS += -liconv
endif
ifeq ($(targetos), MinGW)
LDFLAGS += -liconv
endif
endif

SRCS := $(OBJS:.o=.c)

all: 	$(TARGET)

$(TARGET): $(OBJS) $(ASM_OBJS)
		$(CC) $(SHFLAGS) -o $@ $(OBJS) $(ASM_OBJS) $(LDFLAGS)

have_mmx.o:
	$(CC) -o $@ -c have_mmx.S

scale_line_22_yuv_mmx.o: scale_line_22_yuv_mmx.S
	$(CC) -o $@ -c scale_line_22_yuv_mmx.S

depend:	$(SRCS)
		$(CC) -MM $(CFLAGS) $^ 1>.depend

distclean:	clean
		rm -f .depend

clean:	
		rm -f $(OBJS) $(ASM_OBJS) $(TARGET)

install: all
	install -m 755 $(TARGET) "$(DESTDIR)$(moduledir)"
	install -d "$(DESTDIR)$(mltdatadir)/gtk2"
	install -m 644 *.yml "$(DESTDIR)$(mltdatadir)/gtk2"

ifneq ($(wildcard .depend),)
include .depend
endif

=== src/modules/ndi/Makefile ===
CFLAGS += -fPIC -I../.. -Wno-deprecated -Wno-multichar
LDFLAGS += -L../../framework -lmlt -lpthread

include ../../../config.mak
include config.mak

TARGET = ../libmltndi$(LIBSUF)

OBJS = factory.o consumer_ndi.o producer_ndi.o

SRCS := $(OBJS:.o=.c)

LDFLAGS += $(LIBDL)

all: 	$(TARGET)
	
$(TARGET): $(OBJS)
		$(CC) $(SHFLAGS) -o $@ $(OBJS) $(LDFLAGS)

depend:	$(SRCS)
		$(CC) -MM $(CFLAGS) $^ 1>.depend

distclean:	clean
		rm -f .depend

clean:
		rm -f $(OBJS) $(TARGET)

install: all
	install -m 755 $(TARGET) "$(DESTDIR)$(moduledir)"
	install -d "$(DESTDIR)$(mltdatadir)/ndi"
#	install -m 644 *.yml "$(DESTDIR)$(mltdatadir)/ndi"

uninstall:
	rm -f "$(DESTDIR)$(moduledir)/libmltndi$(LIBSUF)"
	rm -rf "$(DESTDIR)$(mltdatadir)/ndi"

ifneq ($(wildcard .depend),)
include .depend
endif

=== debian/changelog ===
webvfx (1.0.0-2~mx19+1) mx; urgency=medium

  * Rebuild for MX-19.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Sun, 08 Sep 2019 07:54:08 -0700

webvfx (1.0.0-2~mx17+1) mx; urgency=medium

  * Rebuild for MX 17.
  * Remove "-dmo" branding.

 -- Steven Pusser <stevep@mxlinux.org>  Thu, 06 Dec 2018 18:36:11 -0800

webvfx-dmo (1.0.0-dmo2) unstable; urgency=medium

  * Update included mlt to 6.12.0

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 26 Nov 2018 23:27:07 +0100

webvfx-dmo (1.0.0-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 26 Nov 2018 11:49:12 +0100

webvfx-dmo (0.4.4+20180224.gitd65a42d25a-dmo2) unstable; urgency=medium

  * Update included mlt to 6.10.0

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 27 Sep 2018 17:48:19 +0200

webvfx-dmo (0.4.4+20180224.gitd65a42d25a-dmo1) unstable; urgency=medium

  * New git snapshot.
  * Update included mlt to 6.6.0

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 04 Mar 2018 14:01:13 +0100

webvfx-dmo (0.4.4~2016-08-23-dmo1) unstable; urgency=medium

  * Initial release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 08 Apr 2017 17:38:40 +0200

=== debian/control ===
Source: webvfx
Section: utils
Priority: optional
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: Christian Marillat <marillat@deb-multimedia.org>
Bugs: mailto:marillat@deb-multimedia.org
Homepage: https://www.mltframework.org/docs/webvfx/
Standards-Version: 4.2.1
Build-Depends: debhelper (>= 10),
               libmlt-dev (>= 0.6.12),
               qtbase5-dev,
               libqt5webkit5-dev,
               libqt5opengl5-dev,
               pkg-config

Package: qmelt
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: melt executable with WebVfx support
 Video effects library that allows effects to be implemented using WebKit
 HTML or Qt QML.

Package: libwebvfx1
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: video effects library
 WebVfx is a video effects framework that allows video effects (filters,
 transitions etc.) to be authored using web technologies (HTML, CSS,
 JavaScript, WebGL etc.) or with Qt Quick QML (a declarative CSS and
 JavaScript like language).

=== debian/rules ===
#!/usr/bin/make -f

export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

export QT_SELECT=qt5

%:
	dh $@ -Bbuild -Sqmake

override_dh_auto_configure:
	dh_auto_configure -- \
	MLT_SOURCE=$(CURDIR)/mlt-6-12-0 ../

override_dh_install:
	rm debian/tmp/usr/lib/libwebvfx.so

	dh_install

override_dh_makeshlibs:
	dh_makeshlibs -V

override_dh_missing:
	dh_missing --fail-missing

override_dh_clean:
	dh_clean .qmake.cache

override_dh_strip:
	dh_strip --no-automatic-dbgsym

=== debian/watch ===
version=4

https://github.com/mltframework/webvfx/releases \
(?:.*?/)?v?(\d[\d.]*)@ARCHIVE_EXT@
